1. Agents
Taskade AI
  • Workspaces
    • Projects
      POST
    • Folders
      GET
  • Folders
    • Projects
      GET
  • Projects
    • Copy
      POST
    • ShareLink
      GET
  • Tasks
    • Assignees
      • Remove assignee from a task
      • Task assignment
    • Date
      • Create or update date for a task
      • Delete date of a task
    • Create
      POST
    • Complete
      POST
  • Me
    • Get all projects of mine
      GET
  • Agents
    • Create
      POST
    • Public Access
      PUT
  1. Agents

Create

Develop Env
https://dev.your-api-server.com
Develop Env
https://dev.your-api-server.com
POST
/api/v1/folders/{folderId}/agents
Create an agent in a folder, or in the home folder of a workspace.

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://dev.your-api-server.com/api/v1/folders//agents' \
--header 'Content-Type: application/json' \
--data '{"name":"text","data":{"type":"data","data":{"commands":[{"name":"text","prompt":"text","id":"text"}]}}}'
Response Response Example
{
  "ok": true,
  "item": {
    "id": "text",
    "name": "text",
    "space_id": "text",
    "data": {
      "commands": [
        {
          "name": "text",
          "prompt": "text",
          "id": "text",
          "isBackgroundJob": false,
          "searchToolEnabled": false
        }
      ],
      "description": "text",
      "persona": "standup-comedian",
      "tone": "authoritative",
      "avatar": {
        "type": "emoji",
        "data": {
          "value": "text"
        }
      },
      "knowledgeEnabled": false
    }
  }
}
Modified at 2024-07-25 06:20:11
Previous
Get all projects of mine
Next
Public Access
Built with